class Setting < ActiveRecord::Base

  @@settings = YAML::load(File.open("#{RAILS_ROOT}/config/settings.yml"))

  def self.[](name)
    @@settings[name.to_s]["value"] unless name.nil? or @@settings[name.to_s].nil?
  end

  def self.[]=(name, value)
    @@settings[name] = value
  end

end
