class User

  def initialize(session)
    @session = session
  end

  def user
    @session[:user]
  end

  def password
    @session[:password]
  end

  def logged?
    !self.user.nil? and !self.password.nil?
  end

  def admin?
    if self.logged?
      admins = Setting[:admins].split.compact
      admins.include?(self.user)
    else
      false
    end
  end

end
